$(function()
{
    $("#facultySelect [value='0']").attr('selected', 'selected');
    $("#gradeSelect [value='0']").attr('selected', 'selected');
    $("#studyGroupSelect [value='0']").attr('selected', 'selected');
    
    $('#gradeSelect').attr('disabled', 'disabled');
    $('#studyGroupSelect').attr('disabled', 'disabled');
    
    // Переключение страниц
    $('body').on('click', '.paginatorLink', function(){
        $('.paginatorPage').addClass('hiddenPage');
        $('.paginator_item').removeClass('selectedPageNum');
        $('#'+this.id).removeClass('hiddenPage');
        $(this).children('.paginator_item').addClass('selectedPageNum');
    });    
    
    // Выбор факультета
    $('#facultySelect').change(function(){
        if (($('#facultySelect option:selected').val()!= '0')) {

                $("#search_results").html('<div class="search_load"><img src="' + URLdir + 'media/img/load.gif"/></div>');
                $('#gradeSelect').removeAttr('disabled');
                $('#studyGroupSelect').attr('disabled', 'disabled');
                $("#studyGroupSelect").html('<option value="0">--- Учебная группа ---</option>');
                
                $.post(URLdir + 'handler/admStudents/getStudentsByFaculty', 
                {
                    'facultyID': $('#facultySelect option:selected').val()
                }, 
                function(data){
                    $("#search_results").html(data);
                });
        }
        else
        {
                $('#gradeSelect').attr('disabled', 'disabled');
                $('#studyGroupSelect').attr('disabled', 'disabled');
        }
    });

    // Выбор курса
    $('#gradeSelect').change(function(){
        $("#search_results").html('<div class="search_load">¯ \ _ (ツ) _ / ¯</div>');
        $('#studyGroupSelect').attr('disabled', 'disabled');
        $("#studyGroupSelect").html('<option value="0">--- Учебная группа ---</option>');
        if (($('#gradeSelect option:selected').val()!= '0')) {
            
            $.post(URLdir + 'handler/admStudents/getStudyGroups', 
            {
                'facultyID': $('#facultySelect option:selected').val(),
                'gradeNum': $('#gradeSelect option:selected').val()
            }, 
            function(data){
               $.each(data, function(i){
                    $("#studyGroupSelect").append('<optgroup label="'+data[i].SpecName+'">');
                    $.each(data[i].Groups, function(j)
                    {
                        $("#studyGroupSelect").append('<option value="'+data[i].Groups[j].ID+'">'+data[i].Groups[j].Num+' группа</option>');
                    });
                    $("#studyGroupSelect").append('</optgroup>');
                });
                $("#studyGroupSelect").removeAttr("disabled");
            }, "json");
                
        }
    });
    
    // Выбор группы
    $('#studyGroupSelect').change(function(){
        $("#search_results").html('<div class="search_load"><img src="' + URLdir + 'media/img/load.gif"/></div>');
        if (($('#studyGroupSelect option:selected').val()!= '0')) {
                $.post(URLdir + 'handler/admStudents/getStudentsByStudyGroup', 
                {
                    'studyGroupID': $('#studyGroupSelect option:selected').val()
                }, 
                function(data){
                    $("#search_results").html(data);
                });
        }
    });    
});